Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.taglibs.standard.lang.jstl
Class BeanInfoProperty

    java.lang.Object
      org.apache.taglibs.standard.lang.jstl.BeanInfoProperty

    public class BeanInfoProperty

extends Object

This contains the information for one property in a BeanInfo - PropertyDescriptor, read method, and write method. This class is necessary because the read/write methods in the PropertyDescriptor may not be accessible if the bean given to the introspector is not a public class. In this case, a publicly accessible version of the method must be found by searching for a public superclass/interface that declares the method (this searching is done by the BeanInfoManager).

Version:
  $Change: 181181 $$DateTime: 2001/06/26 09:55:09 $$Author: tcfujii $
Author:
  Nathan Abramson - Art Technology Group

Constructor Summary
`BeanInfoProperty(Method pReadMethod, Method pWriteMethod, PropertyDescriptor pPropertyDescriptor)` Constructor

Method Summary
`PropertyDescriptor` | `getPropertyDescriptor()`
`Method` | `getReadMethod()`
`Method` | `getWriteMethod()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanInfoProperty

    public BeanInfoProperty(Method pReadMethod,
                            Method pWriteMethod,
                            PropertyDescriptor pPropertyDescriptor)

  Constructor

Method Detail

### getReadMethod

    public Method getReadMethod()

### getWriteMethod

    public Method getWriteMethod()

### getPropertyDescriptor

    public PropertyDescriptor getPropertyDescriptor()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.